/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCPROGRESSDIALOG_H
#define KDCPROGRESSDIALOG_H

#include "../widgets/kdclabel.h"

#include <QCloseEvent>

#include <KProgressDialog>
#include <KPushButton>

class KDCProgressDialog : public KProgressDialog
{
Q_OBJECT
public:
	KDCProgressDialog( QWidget *parent = 0 );
	~KDCProgressDialog();
	void setMainTitle( const QString& title );
	void setSubTitle( const QString& title );
	void setError( const QString& error );
protected:
	void closeEvent( QCloseEvent *event );
private:
	KDCLabel *p_mainTitle;
	KDCLabel *p_error;
	KDCLabel *p_errorMessage;
	KPushButton *p_closeButton;
};
#endif
