/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCCOMPOSITEJOB_H
#define KDCCOMPOSITEJOB_H

#include "kdcjob.h"

#include <QString>
#include <QList>
#include <QPointer>

// Lighter version of KCompositeJob

class KDCCompositeJob: public KDCJob
{
Q_OBJECT
public:
	enum AutoConnect { Yes, No };
	KDCCompositeJob( KDCCompositeJob::AutoConnect mode = KDCCompositeJob::Yes, QObject *parent = 0 );
	virtual ~KDCCompositeJob();
	virtual void start() = 0;
	void addSubjob( KDCJob * );
	void insertSubjob( KDCJob *, int index );
	void removeSubjob( KDCJob * );
	int count() const;
	bool hasSubjobs();
	KDCJob* firstSubjob() const;
	KDCJob* lastSubjob() const;
	int subjobCount() const;
private:
	QList<QPointer<KDCJob> > p_jobList;
	int p_count;
	bool p_block;
	AutoConnect p_mode;
};
#endif
