/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kdcaudiostreammetadata.h"

KDCAudioStreamMetaData::KDCAudioStreamMetaData(	const int id,
																								const QString& codec,
																								const int channels,
																								const int sampleRate,
																								const int bitrate )
{
	p_codec = codec;
	p_channels = channels;
	p_sampleRate = sampleRate;
	p_bitrate = bitrate;
	p_id = id;
}

int KDCAudioStreamMetaData::id() const
{
	return p_id;
}

QString KDCAudioStreamMetaData::codec() const
{
 return p_codec;
}

int KDCAudioStreamMetaData::sampleRate() const
{
	return p_sampleRate;
}

int KDCAudioStreamMetaData::bitrate() const
{
	return p_bitrate;
}

int KDCAudioStreamMetaData::channelCount() const
{
	return p_channels;
}
