/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCAUDIOSTREAMMETADATA_H
#define KDCAUDIOSTREAMMETADATA_H

#include <QString>

class KDCAudioStreamMetaData
{
public:
	KDCAudioStreamMetaData(	const int id,
													const QString& codec,
													const int channels,
													const int sampleRate,
													const int bitrate );
	QString codec() const;
	int sampleRate() const;
	int bitrate() const;
	int channelCount() const;
	int id() const;
private:
	int p_bitrate;
	QString p_codec;
	int p_sampleRate;
	int p_channels;
	int p_id;
};
#endif
