/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCDISCFACTORY_H
#define KDCDISCFACTORY_H

#include "kdcnamespace.h"
#include "kdcdisc.h"

#include <QPointer>

#include <KTabWidget>

class KMenu;

class KDCDiscFactory : public KTabWidget
{
Q_OBJECT
public:
	KDCDiscFactory( QWidget *parent = 0 );
	~KDCDiscFactory();
	KDCDisc* currentDisc() const;
	KDCDisc* getDisc( int index ) const;
	void addNewDisc( KDC::DiscType type );

	KMenu* currentDiscMenu() const;
public slots:
	void closeDisc( KDCDisc *disc );
private slots:
	void on_objectChanged( QTreeWidgetItem *item );
	void on_customContextMenuRequested( const QPoint & pos );
	void on_discSettingsChanged();
	void on_currentChanged( int );
	void on_dropedSomeFiles( const QStringList& );
	void on_closeRequest( QWidget * );
signals:
	void currentObjectChanged( QTreeWidgetItem *item );
	void canMoveUpDown( bool canUp, bool canDown );
	void currentDiscContextMenu( const QPoint & pos );
	void currentDiscSettingsChanged( KDC::MediaSize, quint64, const QString& );
	void currentDiscChanged( KDCDisc *current );
	void needToOpenSomeFiles( const QStringList& files );
	void needToCloseDisc( KDCDisc *disc );
private:
	QPointer<KDCDisc> p_currentDisc;
	int p_discID;
};
#endif
