/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCMOVIEGROUP_H
#define KDCMOVIEGROUP_H

#include <QTreeWidgetItem>
#include <QList>
#include <QStringList>
#include <QObject>

class KDCMovie;
class KDCDisc;
class KDCChapterGroup;

class KDCMovieGroup : public QObject, public QTreeWidgetItem
{
Q_OBJECT
public:
	KDCMovieGroup();
	~KDCMovieGroup();
	KDCDisc* disc() const;
	KDCChapterGroup* chapterGroup() const;
	int id() const;
	bool hasErrors();
	void addMovie( KDCMovie *movie );
	void removeMovie( KDCMovie *movie );
	KDCMovie* takeMovie( int index );
	QList<QTreeWidgetItem*> takeMovies();
	QString outputName() const;
	void setOutputName( const QString& name );
	KDCMovie* movie( int index ) const;
	int length() const;
	quint64 size() const;
	int count() const;
	QStringList codeMovies();
	void move( int from, int to );
public slots:
	void refresh();
private:
	friend class KDCDisc;
	friend class KDCDVDDisc;
	friend class KDCVCDDisc;
	friend class KDCSVCDDisc;
	friend class KDCCVDDisc;
	friend class KDCXVCDDisc;
	KDCDisc *p_disc;
	int p_id;
	quint64 p_size;
	QString p_outputName;
	QList<KDCMovie*> p_movies;
	KDCChapterGroup *p_chapterGroup;
};
#endif
