/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCSUBTITLESTREAM_H
#define KDCSUBTITLESTREAM_H

#include <QString>
#include <QTreeWidgetItem>

class KDCSubtitleStream : public QTreeWidgetItem
{
public:
	KDCSubtitleStream( const QString& fileName, double fps );
	KDCSubtitleStream( KDCSubtitleStream *subs );
	~KDCSubtitleStream();
	void refresh();

	double fps() const;
	QString textCodec() const;
	int textSize() const;
	QString fileName() const;

	void setFps( double fps );
	void setTextCodec( const QString& codec );
	void setTextSize( int size );
private:
	double p_fps;
	QString p_codec;
	int p_size;
	QString p_fileName;
};
#endif
