/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCSUBTITLESTREAMGROUP_H
#define KDCSUBTITLESTREAMGROUP_H

#include "kdcsubtitlestream.h"

#include <QList>

class KDCMovie;

class KDCSubtitleStreamGroup
{
public:
	KDCSubtitleStreamGroup( KDCMovie *movie );
	KDCSubtitleStreamGroup( KDCSubtitleStreamGroup *stream );
	~KDCSubtitleStreamGroup();
	KDCSubtitleStream* stream( int index ) const;
	void clear();
	void addStream( KDCSubtitleStream *stream );
	KDCSubtitleStream* removeStream( int index );
	int count() const;
	KDCMovie* movie() const;
	void move( int from, int to );
private:
	KDCMovie *p_movie;
	QList<KDCSubtitleStream*> p_data;
};
#endif
