/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCLIB_H
#define KDCLIB_H

#include "../kdcnamespace.h"
#include "../kdcvideostreammetadata.h"
#include "../kdcaudiostreammetadata.h"
#include "../kdcmovie.h"
#include "../kdcdisc.h"

#include <QString>

class KDCLib
{
public:
	static int isNull( void *ptr );
	static const QString audioCodecName( const QString& codec );
	static const KDC::AudioCodec audioCodec( const QString& codec );
	static const QString videoCodecName( const QString& codec );
	static const KDC::VideoCodec videoCodec( const QString& codec );
	static const KDC::AspectRatio aspectRatio( const KDCMovie *movie );
	static bool isInRange( int value, int min, int max );
	static bool isInRange( double value, double min, double max );
	
	static int getCorrectHeight( int width, int oldHeight, KDC::VideoFormat format );
private:
	KDCLib() { };
};
#endif
