/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kdcaudiobitratecombobox.h"

#include "../../kdcdisc.h"

#include <QVariant>

KDCAudioBitrateComboBox::KDCAudioBitrateComboBox( const KDCMovie *movie, int id, QWidget *parent )
	: KComboBox( parent )
{
	if ( movie->disc()->discType() == KDC::DVD )
	{
		addItem( "32 kbits", 32 );
		addItem( "48 kbits", 48 );
		addItem( "92 kbits", 92 );
		addItem( "96 kbits", 96 );
		addItem( "128 kbits", 128 );
		addItem( "192 kbits", 192 );
		addItem( "224 kbits", 224 );
		addItem( "384 kbits", 384 );
		addItem( "448 kbits", 448 );
		addItem( "1536 kbits", 1536 );
	}
	else
		if ( movie->disc()->discType() || movie->disc()->discType() == KDC::CVD )
		{
			addItem( "32 kbits", 32 );
			addItem( "48 kbits", 48 );
			addItem( "92 kbits", 92 );
			addItem( "128 kbits", 128 );
			addItem( "192 kbits", 192 );
			addItem( "224 kbits", 224 );
			addItem( "384 kbits", 384 );
		}
	else
	{
		addItem( "224 kbits", 224 );
	}

	setCurrentIndex( findData( movie->audioStreamGroup()->stream( id )->bitrate() ) );
	connect( this, SIGNAL( currentIndexChanged( int ) ), this, SLOT( on_currentIndexChanged( int ) ) );
}

KDCAudioBitrateComboBox::~KDCAudioBitrateComboBox()
{

}

void KDCAudioBitrateComboBox::on_currentIndexChanged( int )
{
	emit currentBitrateChanged( itemData( currentIndex() ).toInt() );
}
