/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kdcaudiobitratedelegate.h"

#include "kdcaudiobitratecombobox.h"

#include <QStringList>
#include <QModelIndex>

KDCAudioBitrateDelegate::KDCAudioBitrateDelegate( QObject *parent )
	: QItemDelegate( parent )
{
	p_movie = NULL;
	p_id = 0;
}

void KDCAudioBitrateDelegate::setCurrentData( const KDCMovie *movie, int id )
{
	p_movie = movie;
	p_id = id;
}

QWidget* KDCAudioBitrateDelegate::createEditor( QWidget *parent, const QStyleOptionViewItem& option, const QModelIndex& index ) const
{
	KDCAudioBitrateComboBox *editor = new KDCAudioBitrateComboBox( p_movie, p_id, parent );
	connect( editor, SIGNAL( currentBitrateChanged( int ) ), this, SLOT( on_bitrateChanged( int ) ) );
	return editor;
}

void KDCAudioBitrateDelegate::setModelData( QWidget *editor, QAbstractItemModel *model, const QModelIndex& index) const
{
	KDCAudioBitrateComboBox *tmp = static_cast<KDCAudioBitrateComboBox*>( editor );
	model->setData( index, tmp->currentText() );
}

void KDCAudioBitrateDelegate::updateEditorGeometry( QWidget *editor, const QStyleOptionViewItem& option, const QModelIndex& index) const
{
	editor->setGeometry( option.rect );
}

void KDCAudioBitrateDelegate::on_bitrateChanged( int bitrate )
{
	emit bitrateChanged( bitrate );
}
