/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kdcaudiochannelcombobox.h"

#include <QVariant>

KDCAudioChannelComboBox::KDCAudioChannelComboBox( const KDCMovie *movie, int id, QWidget *parent )
	: KComboBox( parent )
{
	addItem( "2", 2 );
	int max;
	if ( movie->movieGroup() )
	{
		KDCMovieGroup *group = movie->movieGroup();
		max = group->movie( 0 )->audioStreamGroup()->stream( id )->metaData()->channelCount();
		for ( int i=1; i<group->count(); ++i )
			max = qMin( max, group->movie( i )->audioStreamGroup()->stream( id )->metaData()->channelCount() );
	}
	else
		max = movie->audioStreamGroup()->stream( id )->metaData()->channelCount();
	if ( movie->audioStreamGroup()->stream( id )->codec() != KDC::MP2 && max == 6 )
		addItem( "6", 6 );

	setCurrentIndex( findData( movie->audioStreamGroup()->stream( id )->channelCount() ) );
	connect( this, SIGNAL( currentIndexChanged( int ) ), this, SLOT( on_currentIndexChanged( int ) ) );
}

KDCAudioChannelComboBox::~KDCAudioChannelComboBox()
{

}

void KDCAudioChannelComboBox::on_currentIndexChanged( int )
{
	emit currentChannelChanged( itemData( currentIndex() ).toInt() );
}
