/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kdcmoviefpsdelegate.h"

#include "kdcmoviefpscombobox.h"

#include <QModelIndex>

KDCMovieFpsDelegate::KDCMovieFpsDelegate( QObject *parent )
	: QItemDelegate( parent )
{
	p_movie = NULL;
}

void KDCMovieFpsDelegate::setCurrentData( const KDCMovie *movie )
{
	p_movie = movie;
}

QWidget* KDCMovieFpsDelegate::createEditor( QWidget *parent, const QStyleOptionViewItem& option, const QModelIndex& index ) const
{
	KDCMovieFpsComboBox *editor = new KDCMovieFpsComboBox( p_movie, parent );
	connect( editor, SIGNAL( currentFpsChanged( double ) ), this, SLOT( on_fpsChanged( double ) ) );
	return editor;
}

void KDCMovieFpsDelegate::setModelData( QWidget *editor, QAbstractItemModel *model, const QModelIndex& index) const
{
	KDCMovieFpsComboBox *tmp = static_cast<KDCMovieFpsComboBox*>( editor );
	model->setData( index, tmp->currentText() );
}

void KDCMovieFpsDelegate::updateEditorGeometry( QWidget *editor, const QStyleOptionViewItem& option, const QModelIndex& index) const
{
	editor->setGeometry( option.rect );
}

void KDCMovieFpsDelegate::on_fpsChanged( double fps )
{
	emit fpsChanged( fps );
}
