/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kdcvideoformatcombobox.h"

#include <QVariant>

KDCVideoFormatComboBox::KDCVideoFormatComboBox( KDC::VideoFormat format, QWidget *parent )
	: KComboBox( parent )
{
	addItem( "PAL", KDC::PAL );
	addItem( "NTSC", KDC::NTSC );

	setCurrentIndex ( findData( format ) );
	connect( this, SIGNAL( currentIndexChanged( int ) ), this, SLOT( on_currentIndexChanged( int ) ) );
}

KDCVideoFormatComboBox::~KDCVideoFormatComboBox()
{

}

KDC::VideoFormat KDCVideoFormatComboBox::currentFormat() const
{
	if( itemData( currentIndex() ).toUInt() == 0 )
		return KDC::PAL;
	else
		return KDC::NTSC;
}

void KDCVideoFormatComboBox::setCurrentFormat( KDC::VideoFormat format )
{
	setCurrentIndex ( findData( format ) );
}

void KDCVideoFormatComboBox::on_currentIndexChanged( int )
{
	emit currentFormatChanged( currentFormat() );
}
