/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCFILEEDITOR_H
#define KDCFILEEDITOR_H

#include "../../kdcmovie.h"
#include "../../kdcmoviegroup.h"
#include "kdcsubtitlelist.h"
#include "../kdcinfostatusbar.h"
#include "kdcmovielist.h"

#include <QWidget>
#include <QSplitter>

#include <KPushButton>

class KDCFileEditor : public QSplitter
{
Q_OBJECT
public:
	KDCFileEditor( QWidget *parent = 0 );
	~KDCFileEditor();
	void setCurrentMovie( KDCMovie *movie );
	void setCurrentMovie( KDCMovieGroup *movie );
public slots:
	void clean();
	void open();
	void del();
	void refresh( KDCMovie * );
private slots:
	void subtitleStreamChanged( KDCSubtitleStream * );
signals:
	void infoMessage( const QString& text, KDCInfoStatusBar::Mode = KDCInfoStatusBar::Error );
private:
	KPushButton *p_add;
	KPushButton *p_del;
	KDCSubtitleList *p_subList;
	KDCMovieList *p_movieList;
};
#endif
