/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kdcfpsdelegate.h"

#include "kdcfpscombobox.h"

#include <QModelIndex>

KDCFpsDelegate::KDCFpsDelegate( QObject *parent )
	: QItemDelegate( parent )
{
	
}

void KDCFpsDelegate::setCurrentData( double fps )
{
	p_fps = fps;
}

QWidget* KDCFpsDelegate::createEditor( QWidget *parent, const QStyleOptionViewItem& option, const QModelIndex& index ) const
{
	KDCFpsComboBox *editor = new KDCFpsComboBox( p_fps, parent );
	connect( editor, SIGNAL( currentFpsChanged( double ) ), this, SLOT( on_currentFpsChanged( double ) ) );
	return editor;
}

void KDCFpsDelegate::setModelData( QWidget *editor, QAbstractItemModel *model, const QModelIndex& index) const
{
	KDCFpsComboBox *tmp = static_cast<KDCFpsComboBox*>( editor );
	model->setData( index, tmp->currentFps() );
}

void KDCFpsDelegate::updateEditorGeometry( QWidget *editor, const QStyleOptionViewItem& option, const QModelIndex& index) const
{
	editor->setGeometry( option.rect );
}

void KDCFpsDelegate::on_currentFpsChanged( double fps )
{
	emit fpsChanged( fps );
}
