/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kdctextcodecdelegate.h"

#include "kdcencodingcombobox.h"

#include <QModelIndex>

KDCTextCodecDelegate::KDCTextCodecDelegate( QObject *parent )
	: QItemDelegate( parent )
{
	
}

void KDCTextCodecDelegate::setCurrentData( const QString& codec )
{
	p_codec = codec;
}

QString KDCTextCodecDelegate::currentCodec() const
{
	return p_codec;
}

QWidget* KDCTextCodecDelegate::createEditor( QWidget *parent, const QStyleOptionViewItem& option, const QModelIndex& index ) const
{
	KDCEncodingComboBox *editor = new KDCEncodingComboBox( p_codec, parent );
	connect( editor, SIGNAL( currentCodecChanged( const QString& ) ), this, SLOT( on_currentCodecChanged( const QString& ) ) );
	//editor->installEventFilter( const_cast<KDCTextCodecDelegate*>( this ) );
	return editor;
}

void KDCTextCodecDelegate::setEditorData( QWidget *editor, const QModelIndex& index ) const
{
	//QString codec = index.model()->data( index, Qt::DisplayRole ).toString();
	KDCEncodingComboBox *tmp = static_cast<KDCEncodingComboBox*>( editor );
	tmp->setCurrentCodec( p_codec );
}

void KDCTextCodecDelegate::setModelData( QWidget *editor, QAbstractItemModel *model, const QModelIndex& index) const
{
	KDCEncodingComboBox *tmp = static_cast<KDCEncodingComboBox*>( editor );
	model->setData( index, tmp->currentCodec() );
}

void KDCTextCodecDelegate::updateEditorGeometry( QWidget *editor, const QStyleOptionViewItem& option, const QModelIndex& index) const
{
	editor->setGeometry( option.rect );
}

void KDCTextCodecDelegate::on_currentCodecChanged( const QString& codec )
{
	p_codec = codec;
	emit codecChanged( codec );
}
