/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef KDCDISCOPTIONSSTATUSBAR_H
#define KDCDISCOPTIONSSTATUSBAR_H

#include "kdclabel.h"

#include <QSignalMapper>
#include <QMap>

#include <KAction>

class KDCDiscOptionsStatusBar : public QWidget
{
Q_OBJECT
public:
	KDCDiscOptionsStatusBar( QWidget *parent = 0 );
	~KDCDiscOptionsStatusBar();
	void setDeleteFilesEnabled( bool enabled );
	void setDeleteTempFilesEnabled( bool enabled );
	void setStructureEnabled( bool enabled );
	KAction* deleteFilesAction() const;
	KAction* discStructureAction() const;
	KAction* deleteTempFilesAction() const;
	void reset();
	void setSignalsEnabled( bool enabled );
signals:
	void deleteFilesStatusChanged( bool );
	void deleteTempFilesStatusChanged( bool );
	void structureStatusChanged( bool );
private slots:
	void on_mapped( int );
	void on_triggered( bool );
private:
	KDCLabel *p_delLabel;
	KDCLabel *p_strLabel;
	KDCLabel *p_tempLabel;
	KAction *p_delAction;
	KAction *p_strAction;
	KAction *p_tempAction;
	QSignalMapper *p_mapper;

	void setAsChecked( KDCLabel *label, bool checked );
};
#endif

