/***************************************************************************
 *   Copyright (C) 2007 by Marcin Swiechowicz   *
 *   marcin.swiechowicz@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "kdcmovieinfoitemdelegate.h"

#include <QPainter>
#include <QTextDocument>
#include <QAbstractTextDocumentLayout>
#include <QStringList>
#include <QFont>

#include <KLocale>

KDCMovieInfoItemDelegate::KDCMovieInfoItemDelegate( QObject *parent )
	: QItemDelegate( parent )
{

}

KDCMovieInfoItemDelegate::~KDCMovieInfoItemDelegate()
{

}

void KDCMovieInfoItemDelegate::drawDisplay( QPainter *painter, const QStyleOptionViewItem& option, const QRect& rect, const QString& text ) const
{
	painter->save();
	QTextDocument doc;
	QString str;

	if ( text.at( 0 ) == '\t' )
	{
		QString str;
		str.append( "<font color=""#777777"">");
		str.append( text.mid( 1 ) ); 
		str.append( "</font>" );
		doc.setHtml( str );
		painter->translate( rect.x(), rect.y() );
	}
	else
	{
		doc.setPlainText( text );
		painter->translate( rect.x(), rect.y() );
	}

	QAbstractTextDocumentLayout::PaintContext context;
	doc.setPageSize( rect.size()*=8 );
	doc.documentLayout()->draw( painter, context );
	painter->restore();
}
